main {
	padding: 2rem;

	display: flex;
	align-items: center;
}

.left,
.center,
.right {
	width: 100%;
	height: 100%;
}

.left {
	display: flex;
	flex-direction: column;
	gap: 2rem;

	padding: 2rem;
}

.sub-status {
	width: 100%;
	height: 150px;

	display: flex;
	align-items: center;
	justify-content: space-between;

	padding: 0 2rem;

	backdrop-filter: blur(3px);
	-webkit-backdrop-filter: blur(3px);

	border: 1px solid rgba(255, 255, 255, 0.1);
	border-radius: 12px;

	pointer-events: none;
}

.sub-status-title {
	font-family: var(--font-heading);
	letter-spacing: 1.5px;
	font-weight: 600;
	font-size: 25px;
	text-transform: uppercase;
}

.active {
	color: greenyellow;
}
.inactive {
	color: red;
}
.error {
	color: orange;
}
.cancelled {
	color: grey;
}

.sub-status-indicator {
	font-family: var(--font-indicator);
	letter-spacing: 2px;
	font-weight: 600;
	font-size: 25px;
	text-transform: uppercase;
}

.left .title {
	width: 100%;
	height: 75px;

	text-align: center;

	font-family: var(--font-heading);
	font-weight: 700;
	font-size: 50px;
	text-transform: uppercase;
	letter-spacing: 2px;

	padding-top: 0.75rem;

	pointer-events: none;

	filter: drop-shadow(0 0 20px rgba(255, 255, 255, 0.7));

	border: 1px solid rgba(255, 255, 255, 0.1);
	border-bottom: 0;
	border-left: 0;
	border-right: 0;
}

.achievements {
	width: 100%;
	height: 100%;

	padding: 0 2rem 0 0;

	display: grid;
	grid-template-columns: 1fr 1fr;
	/* grid-template-rows: auto; */
	gap: 2rem;

	overflow-y: scroll;
}

.achievements::-webkit-scrollbar,
.server-roles::-webkit-scrollbar {
	border: none;
}

.achievements::-webkit-scrollbar-thumb,
.server-roles::-webkit-scrollbar-thumb {
	border: 1px solid rgba(255, 255, 255, 0.1);
	border-radius: 12px;

	background-color: rgba(255, 255, 255, 0.03);
	backdrop-filter: blur(3px);
	-webkit-backdrop-filter: blur(3px);

	box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);

	cursor: pointer;

	transition: all 150ms var(--t-f);
}

.achievements::-webkit-scrollbar-thumb:hover,
.server-roles::-webkit-scrollbar-thumb:hover {
	background-color: rgba(255, 255, 255, 0.1);
}

.achi {
	height: 75px;

	pointer-events: none;

	border: 1px solid rgba(255, 255, 255, 0.1);
	border-radius: 12px;

	background-color: rgba(255, 255, 255, 0.01);

	backdrop-filter: blur(3px);
	-webkit-backdrop-filter: blur(3px);

	box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);

	display: flex;
	align-items: center;
	gap: 1rem;

	padding: 1rem;
}

.icon {
	width: 50px;
	height: 50px;

	filter: brightness(0) invert(1) drop-shadow(0 5px 15px rgba(0, 0, 0, 0.5));
}

.description {
	font-family: var(--font-indicator);
	font-size: 15px;
}

.center {
	width: 1500px;

	display: grid;
	/* grid-template-columns: auto;
	grid-template-rows: auto; */
	gap: 1.5rem;

	padding: 2rem;

	border: 1px solid rgba(255, 255, 255, 0.1);
	border-top: 0;
	border-bottom: 0;
}

.center button {
	border: 1px solid rgba(255, 255, 255, 0.1);
	border-radius: 12px;

	background-color: rgba(255, 255, 255, 0.03);
	color: #e0e0e0;

	font-family: var(--font-heading);
	font-size: 1em;
	letter-spacing: 1.5px;
	font-weight: 700;

	cursor: pointer;

	backdrop-filter: blur(3px);
	-webkit-backdrop-filter: blur(3px);

	box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);

	height: 100%;

	transition: all 300ms var(--t-f);
}

.center button:hover {
	transform: translateY(5px) scale(0.97);
	opacity: 0.8;
}

.right {
	width: 100%;
	height: 100%;

	padding: 2rem;

	display: grid;
	grid-template-columns: repeat(5, 1fr);
	grid-template-rows: repeat(7, 1fr);
	gap: 2rem;

	grid-template-areas:
		"A A A B B"
		"D D D C C"
		"D D D C C"
		"E E E E E"
		"F F F F F"
		"F F F F F"
		"F F F F F";
}

.right > * {
	pointer-events: none;

	font-weight: 600;
	letter-spacing: 2px;

	width: 100%;
	height: 100%;

	display: flex;
	align-items: center;
	gap: 1rem;

	padding: 1rem;

	overflow: hidden;

	border: 1px solid rgba(255, 255, 255, 0.1);
	border-radius: 12px;

	background-color: rgba(255, 255, 255, 0.005);

	box-shadow: 0 10px 30px rgba(0, 0, 0, 0.5);

	backdrop-filter: blur(3px);
	-webkit-backdrop-filter: blur(3px);
}

.nickname {
	grid-area: A;

	font-family: var(--font-heading);
}

.username {
	grid-area: B;

	color: rgba(255, 255, 255, 0.4);

	font-family: var(--font-indicator);
	font-size: 18px;
	text-transform: uppercase;
}

.discord-picture {
	grid-area: C;
}

.discord-badges {
	grid-area: D;

	align-items: flex-start;
	flex-wrap: wrap;
}

.badge {
	width: 35px;
	height: 35px;

	filter: brightness(0) invert(1);
}

.account-email {
	grid-area: E;

	font-family: var(--font-indicator);
	text-transform: uppercase;
}

.server-roles {
	grid-area: F;

	font-family: var(--font-body);

	backdrop-filter: none;
	-webkit-backdrop-filter: none;

	box-shadow: none;

	background-color: transparent;

	border-radius: 0;
	border-left: 0;
	border-right: 0;
	border-bottom: 0;

	padding: 2rem 0 0 0;

	align-items: flex-start;
	flex-wrap: wrap;

	pointer-events: all;

	overflow-y: scroll;
}

.role {
	border: 1px solid rgba(255, 255, 255, 0.1);
	border-radius: 9px;

	pointer-events: none;

	font-family: var(--font-indicator);
	font-size: 13px;

	background-color: rgba(255, 255, 255, 0.03);

	box-shadow: inset 0 0 1px rgba(255, 255, 255, 0.5);

	filter: drop-shadow(0 0 10px rgba(255, 255, 255, 0.5));

	padding: 0.5rem;
}

.disable {
	opacity: 0.5;

	pointer-events: none;
}

.subscribed {
	outline: 1px solid red;
}
